#pragma once

#include "BtnST.h"
#include "ResourceServerST.h"
#include "ListBoxST.h"
#include "Icons.h"

class CDlgListBoxST : public CDialog
{
public:
	CDlgListBoxST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgListBoxST)
	enum { IDD = IDD_LISTBOXST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgListBoxST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgListBoxST)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();

	void CreateImageList();

	CResourceServerST*	m_pIconsDLL;

	CListBoxST			m_lbxListBox;
	CImageList			m_ImageList;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
